import { BoosterConfig } from '@boostercloud/framework-types';
export declare const eventsStoreAttributes: {
    readonly partitionKey: "entityTypeName_entityID_kind";
    readonly sortKey: "createdAt";
    readonly indexByEntity: {
        readonly name: (config: BoosterConfig) => string;
        readonly partitionKey: "entityTypeName_kind";
    };
    readonly indexByType: {
        readonly name: (config: BoosterConfig) => string;
        readonly partitionKey: "typeName";
    };
};
export declare const subscriptionsStoreAttributes: {
    readonly partitionKey: "className";
    readonly sortKey: "connectionID_subscriptionID";
    readonly ttl: "expirationTime";
    readonly indexByConnectionIDPartitionKey: "connectionID";
    readonly indexByConnectionIDSortKey: "subscriptionID";
    readonly indexByConnectionIDName: (config: BoosterConfig) => string;
};
export declare const connectionsStoreAttributes: {
    readonly partitionKey: "connectionID";
    readonly ttl: "expirationTime";
};
export declare const environmentVarNames: {
    readonly restAPIURL: "BOOSTER_REST_API_URL";
    readonly websocketAPIURL: "BOOSTER_WEBSOCKET_API_URL";
};
export declare const dynamoDbBatchGetLimit = 100;
export declare const dynamoDbBatchWriteLimit = 25;
