"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dynamoDbBatchWriteLimit = exports.dynamoDbBatchGetLimit = exports.environmentVarNames = exports.connectionsStoreAttributes = exports.subscriptionsStoreAttributes = exports.eventsStoreAttributes = void 0;
exports.eventsStoreAttributes = {
    partitionKey: 'entityTypeName_entityID_kind',
    sortKey: 'createdAt',
    indexByEntity: {
        name: (config) => config.resourceNames.eventsStore + '-index-by-entity',
        partitionKey: 'entityTypeName_kind',
    },
    indexByType: {
        name: (config) => config.resourceNames.eventsStore + '-index-by-type',
        partitionKey: 'typeName',
    },
};
exports.subscriptionsStoreAttributes = {
    partitionKey: 'className',
    sortKey: 'connectionID_subscriptionID',
    ttl: 'expirationTime',
    indexByConnectionIDPartitionKey: 'connectionID',
    indexByConnectionIDSortKey: 'subscriptionID',
    indexByConnectionIDName: (config) => config.resourceNames.subscriptionsStore + '-index-by-connection',
};
exports.connectionsStoreAttributes = {
    partitionKey: 'connectionID',
    ttl: 'expirationTime',
};
exports.environmentVarNames = {
    restAPIURL: 'BOOSTER_REST_API_URL',
    websocketAPIURL: 'BOOSTER_WEBSOCKET_API_URL',
};
// Imposed limits by AWS
exports.dynamoDbBatchGetLimit = 100;
exports.dynamoDbBatchWriteLimit = 25;
