"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.requestSucceeded = exports.requestFailed = void 0;
const framework_types_1 = require("@boostercloud/framework-types");
async function requestFailed(error) {
    const statusCode = (0, framework_types_1.httpStatusCodeFor)(error);
    return {
        headers: {
            'Access-Control-Allow-Origin': '*',
        },
        statusCode,
        body: JSON.stringify({
            statusCode,
            title: (0, framework_types_1.toClassTitle)(error),
            reason: error.message,
        }),
    };
}
exports.requestFailed = requestFailed;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
async function requestSucceeded(body, headers) {
    return {
        headers: {
            'Access-Control-Allow-Origin': '*',
            ...headers,
        },
        statusCode: 200,
        body: body ? JSON.stringify(body) : '',
    };
}
exports.requestSucceeded = requestSucceeded;
