import { BoosterConfig, ReadModelEnvelope, ReadModelInterface, ReadOnlyNonEmptyArray, SequenceKey, UUID } from '@boostercloud/framework-types';
import { DynamoDBStreamEvent } from 'aws-lambda';
import { DynamoDB } from 'aws-sdk';
export declare function rawReadModelEventsToEnvelopes(config: BoosterConfig, rawEvents: DynamoDBStreamEvent): Promise<Array<ReadModelEnvelope>>;
export declare function fetchReadModel(db: DynamoDB.DocumentClient, config: BoosterConfig, readModelName: string, readModelID: UUID, sequenceKey?: SequenceKey): Promise<ReadOnlyNonEmptyArray<ReadModelInterface>>;
export declare function storeReadModel(db: DynamoDB.DocumentClient, config: BoosterConfig, readModelName: string, readModel: ReadModelInterface, expectedCurrentVersion: number): Promise<void>;
export declare function deleteReadModel(db: DynamoDB.DocumentClient, config: BoosterConfig, readModelName: string, readModel: ReadModelInterface): Promise<void>;
