"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.rawScheduledInputToEnvelope = void 0;
const framework_types_1 = require("@boostercloud/framework-types");
const framework_common_helpers_1 = require("@boostercloud/framework-common-helpers");
async function rawScheduledInputToEnvelope(config, input) {
    const logger = (0, framework_common_helpers_1.getLogger)(config, 'scheduled-adapter#rawScheduledInputToEnvelope');
    logger.debug('Received ScheduledCommand request: ', input);
    if (!input.typeName)
        throw new Error(`TypeName is not defined, scheduled command envelope should have the structure {typeName: string}, but you gave ${input}`);
    return {
        requestID: framework_types_1.UUID.generate(),
        typeName: input.typeName,
    };
}
exports.rawScheduledInputToEnvelope = rawScheduledInputToEnvelope;
