import { BoosterConfig, SubscriptionEnvelope } from '@boostercloud/framework-types';
import { DynamoDB } from 'aws-sdk';
import { subscriptionsStoreAttributes } from '../constants';
export interface SubscriptionIndexRecord {
    [subscriptionsStoreAttributes.partitionKey]: string;
    [subscriptionsStoreAttributes.sortKey]: string;
    [subscriptionsStoreAttributes.indexByConnectionIDPartitionKey]: string;
    [subscriptionsStoreAttributes.indexByConnectionIDSortKey]: string;
}
export declare function subscribeToReadModel(db: DynamoDB.DocumentClient, config: BoosterConfig, subscriptionEnvelope: SubscriptionEnvelope): Promise<void>;
export declare function fetchSubscriptions(db: DynamoDB.DocumentClient, config: BoosterConfig, subscriptionName: string): Promise<Array<SubscriptionEnvelope>>;
export declare function deleteSubscription(db: DynamoDB.DocumentClient, config: BoosterConfig, connectionID: string, subscriptionID: string): Promise<void>;
export declare function deleteAllSubscriptions(db: DynamoDB.DocumentClient, config: BoosterConfig, connectionID: string): Promise<void>;
