import { HasInfrastructure, ProviderLibrary, RocketDescriptor } from '@boostercloud/framework-types';
export declare function loadInfrastructurePackage(packageName: string): HasInfrastructure;
/**
 * `Provider` is a function that accepts a list of rocket names and returns an
 * object compatible with the `ProviderLibrary` defined in the `framework-types` package.
 * The rocket names are passed to the infrastructure package, which loads them dynamically
 * to extend the AWS functionality. Rockets are typically distributed in separate node packages.
 */
export declare const Provider: (rockets?: RocketDescriptor[]) => ProviderLibrary;
export * from './constants';
